std::__exception_ptr::exception_ptr Class Reference
Exceptions

## Public Member Functions

| exception_ptr (const exception_ptr &) noexcept
| exception_ptr (nullptr_t) noexcept
| exception_ptr (exception_ptr &&__o) noexcept
class type_info * | __cxa_exception_type () const noexcept __attribute__((__pure__))
| operator bool () const
exception_ptr & | operator= (const exception_ptr &) noexcept
exception_ptr & | operator= (exception_ptr &&__o) noexcept
void | swap (exception_ptr &) noexcept

## Friends

bool | operator== (const exception_ptr &, const exception_ptr &) noexcept __attribute__((__pure__))
exception_ptr | std::current_exception () noexcept
void | std::rethrow_exception (exception_ptr)

## Detailed Description

An opaque pointer to an arbitrary exception.

Definition at line 73 of file exception_ptr.h.

The documentation for this class was generated from the following file:

- exception_ptr.h